# Class SourceFolder

java.lang.Object
org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
org.gradle.plugins.ide.eclipse.model.SourceFolder

All Implemented Interfaces:
  `ClasspathEntry`

public class SourceFolder extends AbstractClasspathEntry
SourceFolder.path contains only project relative path.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from class AbstractClasspathEntry

  `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SourceFolder(Node node)`
  Creates a new `SourceFolder`.
  `SourceFolder(String projectRelativePath, String output)`
  Creates a new `SourceFolder`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendNode(Node node)`
  Append node.
  `boolean`
  `equals(Object o)`
  `String`
  `getAbsolutePath()`
  Returns the absolute path.
  `File`
  `getDir()`
  Returns the dir.
  `List<String>`
  `getExcludes()`
  Returns the excludes.
  `List<String>`
  `getIncludes()`
  Returns the includes.
  `String`
  `getKind()`
  Returns the kind.
  `String`
  `getName()`
  Returns the name.
  `String`
  `getOutput()`
  Returns the output.
  `int`
  `hashCode()`
  `void`
  `setDir(File dir)`
  Sets the dir.
  `void`
  `setExcludes(List<String> excludes)`
  Sets the excludes.
  `void`
  `setIncludes(List<String> includes)`
  Sets the includes.
  `void`
  `setName(String name)`
  Sets the name.
  `void`
  `setOutput(String output)`
  Sets the output.
  `String`
  `toString()`
  `void`
  `trim()`
  Trim.
  `void`
  `trim(String prefix)`
  Trim.

  ### Methods inherited from class AbstractClasspathEntry

  `addClasspathEntry, getAccessRules, getEntryAttributes, getNativeLibraryLocation, getPath, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SourceFolder

    public SourceFolder(Node node)
    Creates a new `SourceFolder`.
    Since:
      1.0

  - ### SourceFolder

    public SourceFolder(String projectRelativePath, String output)
    Creates a new `SourceFolder`.
    Since:
      1.0

- ## Method Details

  - ### getOutput

    public String getOutput()
    Returns the output.
    Since:
      1.0

  - ### setOutput

    public void setOutput(String output)
    Sets the output.
    Since:
      1.0

  - ### getIncludes

    public List<String> getIncludes()
    Returns the includes.
    Since:
      1.0

  - ### setIncludes

    public void setIncludes(List<String> includes)
    Sets the includes.
    Since:
      1.0

  - ### getExcludes

    public List<String> getExcludes()
    Returns the excludes.
    Since:
      1.0

  - ### setExcludes

    public void setExcludes(List<String> excludes)
    Sets the excludes.
    Since:
      1.0

  - ### getDir

    public File getDir()
    Returns the dir.
    Since:
      1.0

  - ### setDir

    public void setDir(File dir)
    Sets the dir.
    Since:
      1.0

  - ### getName

    public String getName()
    Returns the name.
    Since:
      1.0

  - ### setName

    public void setName(String name)
    Sets the name.
    Since:
      2.7

  - ### getKind

    public String getKind()
    Description copied from interface: `ClasspathEntry`
    Returns the kind.

  - ### getAbsolutePath

    public String getAbsolutePath()
    Returns the absolute path.
    Since:
      1.0

  - ### trim

    public void trim()
    Trim.
    Since:
      2.7

  - ### trim

    public void trim(String prefix)
    Trim.
    Since:
      2.7

  - ### appendNode

    public void appendNode(Node node)
    Description copied from interface: `ClasspathEntry`
    Append node.
    Specified by:
      `appendNode` in interface `ClasspathEntry`
    Overrides:
      `appendNode` in class `AbstractClasspathEntry`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `AbstractClasspathEntry`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `AbstractClasspathEntry`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractClasspathEntry`